import startCoord from "./startCoord";

// 绘制图片
function drawImg(fillStyle, _ref) {
  var ctx = _ref.ctx,
    width = _ref.width,
    height = _ref.height;
  if (!(fillStyle !== null && fillStyle !== void 0 && fillStyle.src)) {
    console.log('SeedsUI Error:手写签名drawImg缺少imgSrc');
    return;
  }
  var imgW = fillStyle.width;
  var imgH = fillStyle.height;
  var position = fillStyle.position || 'bottom right';
  var img = new Image();
  img.crossOrigin = 'Anonymous';
  img.src = fillStyle === null || fillStyle === void 0 ? void 0 : fillStyle.src;
  img.onload = function (e) {
    var sx = 0; // 剪切的 x 坐标
    var sy = 0; // 剪切的 y 坐标
    var targetWidth = imgW || img.width; // 使用的图像宽度
    var targetHeight = imgH || img.height; // 使用的图像高度
    var swidth = img.width; // 剪切图像的宽度
    var sheight = img.height; // 剪切图像的高度
    var coord = startCoord(targetWidth, targetHeight, position); // 画布上放置xy坐标
    ctx.drawImage(img, sx, sy, swidth, sheight, coord.x, coord.y, width, height);
    // 成功回调
    if (fillStyle.onSuccess) fillStyle.onSuccess();
  };
  img.onerror = function (err) {
    if (fillStyle.onError) fillStyle.onError(err, {
      errMsg: '非法的图片格式'
    });
  };
}
export default drawImg;